FLAM4SEPA-API FLAM4 SEPA Archive Interface (z/OS only)

Data Fields
F4sSearchIn Struct Reference
Data types

Input parameter structure for lookups in an archive. More...

`#include <FL4SEPA.h>`

## Data Fields
C08 | acDsnSig [F4S_DSNAMELEN]
| DSN for signature FLAMFILE of SEPA archive. More...
C08 | acDsnTra [F4S_DSNAMELEN]
| DSN for transaction FLAMFILE of SEPA archive. More...
C08 | acDsnXmlI [F4S_DSNAMELEN]
| DSN for XML inbound FLAMFILE of SEPA archive. More...
C08 | acDsnXmlO [F4S_DSNAMELEN]
| DSN for XML outbound FLAMFILE of SEPA archive. More...
C08 | acMaxResults [6]
| Limit the number of results (0 = unlimited) More...
C08 | acAnzNf [2]
| Number of lookup requests. More...
TuF4sNfTab | unNfTab
| Table containing the lookup requests. More...

## Detailed Description

Input parameter structure for lookups in an archive.

This structure contains the four dataset names (DSN) for the SEPA archive. The maximum number of search results per request can be defined (0 = unlimited) and a maximum of 50 requests can be specified per lookup.

# The data structure in COBOL

    01 LG-PARMS-IN.
       05 LG-PARMS-IN-DSNS.
          10  DSN-SIG  PIC X(44) VALUE "FLAM.F4S21.SIGDAT.VR8".
          10  DSN-TRA  PIC X(44) VALUE "FLAM.F4S21.TRADAT.VR8".
          10  DSN-XMLI PIC X(44) VALUE "FLAM.F4S21.XMLDAT1.ADC".
          10  DSN-XMLO PIC X(44) VALUE "FLAM.F4S21.XMLDAT2.ADC".
       05 MAX-RESULTS     PIC 9(06) VALUE 10.
       05 ANZ-NF          PIC 9(02) VALUE 11.
       05 NF-TAB  OCCURS 50 DEPENDING ON ANZ-NF.

## Field Documentation

## ◆ acDsnSig

C08 F4sSearchIn::acDsnSig[F4S_DSNAMELEN]

DSN for signature FLAMFILE of SEPA archive.

## ◆ acDsnTra

C08 F4sSearchIn::acDsnTra[F4S_DSNAMELEN]

DSN for transaction FLAMFILE of SEPA archive.

## ◆ acDsnXmlI

C08 F4sSearchIn::acDsnXmlI[F4S_DSNAMELEN]

DSN for XML inbound FLAMFILE of SEPA archive.

## ◆ acDsnXmlO

C08 F4sSearchIn::acDsnXmlO[F4S_DSNAMELEN]

DSN for XML outbound FLAMFILE of SEPA archive.

## ◆ acMaxResults

C08 F4sSearchIn::acMaxResults[6]

Limit the number of results (0 = unlimited)

## ◆ acAnzNf

C08 F4sSearchIn::acAnzNf[2]

Number of lookup requests.

## ◆ unNfTab

TuF4sNfTab F4sSearchIn::unNfTab

Table containing the lookup requests.

The documentation for this struct was generated from the following file:

- FL4SEPA.h